package cn.com.tenlion.configtable.pojo.vos.configtablefield;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ConfigTableFieldVO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 11:06:57
 * @Version: 3.0
 **/
@ApiModel
public class ConfigTableFieldVO {

    @ApiModelProperty(name = "configTableFieldCode", value = "列名")
    @CheckEmptyAnnotation(name = "列名")
    private String configTableFieldCode;
    @ApiModelProperty(name = "configTableId", value = "所属表单")
    @CheckEmptyAnnotation(name = "所属表单")
    private String configTableId;
    @ApiModelProperty(name = "configTableFieldName", value = "字段名称")
    @CheckEmptyAnnotation(name = "字段名称")
    private String configTableFieldName;
    @ApiModelProperty(name = "configTableFieldRemark", value = "字段描述")
    private String configTableFieldRemark;
    @ApiModelProperty(name = "configTableFieldType", value = "字段类型1:文本,2:照片,3:音频,4:视频,5:链接,6:定位,7:多行文本")
    @CheckEmptyAnnotation(name = "字段类型")
    private String configTableFieldType;
    @ApiModelProperty(name = "configTableFieldNumber", value = "允许存储数量")
    @CheckNumberAnnotation(name = "允许存储数量")
    private Integer configTableFieldNumber;
    @ApiModelProperty(name = "configTableFieldOrder", value = "字段排序")
    @CheckNumberAnnotation(name = "字段排序")
    private Integer configTableFieldOrder;
    @ApiModelProperty(name = "configTableFieldRow", value = "字段行")
    @CheckNumberAnnotation(name = "字段行")
    private Integer configTableFieldRow;
    @ApiModelProperty(name = "configTableFieldRowCol", value = "字段行占比")
    @CheckNumberAnnotation(name = "字段行占比")
    private Integer configTableFieldRowCol;
    @ApiModelProperty(name = "configTableFieldMust", value = "必填项1:是,0:否")
    @CheckEmptyAnnotation(name = "是否为必填")
    private String configTableFieldMust;
    @ApiModelProperty(name = "configTableFieldMode", value = "展示方式(数据字典ID)")
    private String configTableFieldMode;
    @ApiModelProperty(name = "configTableFieldDictionaries", value = "数据字典关联ID")
    private String configTableFieldDictionaries;
    @ApiModelProperty(name = "configTableFieldDdisplay", value = "列表显示1:显示,0:隐藏")
    @CheckEmptyAnnotation(name = "是否列表显示")
    private String configTableFieldDisplay;
    @ApiModelProperty(name = "configTableFieldPlaceholder", value = "输入提示")
    @CheckEmptyAnnotation(name = "提示引导")
    private String configTableFieldPlaceholder;
    @ApiModelProperty(name = "configTableFieldDefault", value = "字段默认值")
    private String configTableFieldDefault;

    public String getConfigTableFieldPlaceholder() {
        return configTableFieldPlaceholder == null ? "" : configTableFieldPlaceholder;
    }

    public void setConfigTableFieldPlaceholder(String configTableFieldPlaceholder) {
        this.configTableFieldPlaceholder = configTableFieldPlaceholder;
    }

    public String getConfigTableFieldDefault() {
        return configTableFieldDefault == null ? "" : configTableFieldDefault;
    }

    public void setConfigTableFieldDefault(String configTableFieldDefault) {
        this.configTableFieldDefault = configTableFieldDefault;
    }

    public String getConfigTableFieldMode() {
        return configTableFieldMode == null ? "" : configTableFieldMode;
    }

    public void setConfigTableFieldMode(String configTableFieldMode) {
        this.configTableFieldMode = configTableFieldMode;
    }

    public String getConfigTableFieldDictionaries() {
        return configTableFieldDictionaries == null ? "" : configTableFieldDictionaries;
    }

    public void setConfigTableFieldDictionaries(String configTableFieldDictionaries) {
        this.configTableFieldDictionaries = configTableFieldDictionaries;
    }

    public String getConfigTableFieldDisplay() {
        return configTableFieldDisplay == null ? "" : configTableFieldDisplay;
    }

    public void setConfigTableFieldDisplay(String configTableFieldDisplay) {
        this.configTableFieldDisplay = configTableFieldDisplay;
    }

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId;
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigTableFieldCode() {
        return configTableFieldCode == null ? "" : configTableFieldCode.trim();
    }

    public void setConfigTableFieldCode(String configTableFieldCode) {
        this.configTableFieldCode = configTableFieldCode;
    }

    public String getConfigTableFieldName() {
        return configTableFieldName == null ? "" : configTableFieldName.trim();
    }

    public void setConfigTableFieldName(String configTableFieldName) {
        this.configTableFieldName = configTableFieldName;
    }

    public String getConfigTableFieldRemark() {
        return configTableFieldRemark == null ? "" : configTableFieldRemark.trim();
    }

    public void setConfigTableFieldRemark(String configTableFieldRemark) {
        this.configTableFieldRemark = configTableFieldRemark;
    }

    public String getConfigTableFieldType() {
        return configTableFieldType == null ? "" : configTableFieldType.trim();
    }

    public void setConfigTableFieldType(String configTableFieldType) {
        this.configTableFieldType = configTableFieldType;
    }

    public Integer getConfigTableFieldNumber() {
        return configTableFieldNumber == null ? 0 : configTableFieldNumber;
    }

    public void setConfigTableFieldNumber(Integer configTableFieldNumber) {
        this.configTableFieldNumber = configTableFieldNumber;
    }

    public Integer getConfigTableFieldOrder() {
        return configTableFieldOrder == null ? 0 : configTableFieldOrder;
    }

    public void setConfigTableFieldOrder(Integer configTableFieldOrder) {
        this.configTableFieldOrder = configTableFieldOrder;
    }

    public Integer getConfigTableFieldRow() {
        return configTableFieldRow == null ? 0 : configTableFieldRow;
    }

    public void setConfigTableFieldRow(Integer configTableFieldRow) {
        this.configTableFieldRow = configTableFieldRow;
    }

    public Integer getConfigTableFieldRowCol() {
        return configTableFieldRowCol == null ? 0 : configTableFieldRowCol;
    }

    public void setConfigTableFieldRowCol(Integer configTableFieldRowCol) {
        this.configTableFieldRowCol = configTableFieldRowCol;
    }

    public String getConfigTableFieldMust() {
        return configTableFieldMust == null ? "" : configTableFieldMust.trim();
    }

    public void setConfigTableFieldMust(String configTableFieldMust) {
        this.configTableFieldMust = configTableFieldMust;
    }


}
